Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.common
Class XlsExportParametersBean

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.common.AbstractExportParameters
          com.jaspersoft.jasperserver.api.engine.jasperreports.common.XlsExportParametersBean

All Implemented Interfaces:
  ExportParameters, java.io.Serializable

    public class XlsExportParametersBean

extends AbstractExportParameters

Version:
  $Id: XlsExportParametersBean.java 10174 2007-09-20 08:01:37Z lucian $
Author:
  sanda zaharia
See Also:
  Serialized Form

Constructor Summary
`XlsExportParametersBean()`

Method Summary
`java.lang.Boolean` | `getCollapseRowSpan()`
`java.lang.Boolean` | `getDetectCellType()`
`java.lang.Boolean` | `getFontSizeFixEnabled()`
`java.lang.Boolean` | `getIgnoreCellBorder()`
`java.lang.Boolean` | `getIgnoreGraphics()`
`java.lang.Integer` | `getMaximumRowsPerSheet()`
`java.lang.Object` | `getObject()`
`java.lang.Boolean` | `getOnePagePerSheet()`
`java.lang.Boolean` | `getRemoveEmptySpaceBetweenColumns()`
`java.lang.Boolean` | `getRemoveEmptySpaceBetweenRows()`
`java.lang.Boolean` | `getWhitePageBackground()`
`java.util.Map` | `getXlsFormatPatternsMap()`
`void` | `setCollapseRowSpan(java.lang.Boolean collapseRowSpan)`
`void` | `setDetectCellType(java.lang.Boolean detectCellType)`
`void` | `setFontSizeFixEnabled(java.lang.Boolean fontSizeFixEnabled)`
`void` | `setIgnoreCellBorder(java.lang.Boolean ignoreCellBorder)`
`void` | `setIgnoreGraphics(java.lang.Boolean ignoreGraphics)`
`void` | `setMaximumRowsPerSheet(java.lang.Integer maximumRowsPerSheet)`
`void` | `setOnePagePerSheet(java.lang.Boolean onePagePerSheet)`
`void` | `setPropertyValues(java.lang.Object object)` This method checks the 'object' argument (which should be a compatible ExportParameters object) properties and copies their values into the caller object
`void` | `setRemoveEmptySpaceBetweenColumns(java.lang.Boolean removeEmptySpaceBetweenColumns)`
`void` | `setRemoveEmptySpaceBetweenRows(java.lang.Boolean removeEmptySpaceBetweenRows)`
`void` | `setWhitePageBackground(java.lang.Boolean whitePageBackground)`
`void` | `setXlsFormatPatternsMap(java.util.Map xlsFormatPatternsMap)`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.jasperreports.common.AbstractExportParameters
`isOverrideReportHints, setOverrideReportHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlsExportParametersBean

    public XlsExportParametersBean()

Method Detail

### getDetectCellType

    public java.lang.Boolean getDetectCellType()

  Returns:
    Returns the detectCellType.

### setDetectCellType

    public void setDetectCellType(java.lang.Boolean detectCellType)

  Parameters:
    `detectCellType` - The detectCellType to set.

### getOnePagePerSheet

    public java.lang.Boolean getOnePagePerSheet()

  Returns:
    Returns the onePagePerSheet.

### setOnePagePerSheet

    public void setOnePagePerSheet(java.lang.Boolean onePagePerSheet)

  Parameters:
    `onePagePerSheet` - The onePagePerSheet to set.

### getRemoveEmptySpaceBetweenRows

    public java.lang.Boolean getRemoveEmptySpaceBetweenRows()

  Returns:
    Returns the removeEmptySpaceBetweenRows.

### setRemoveEmptySpaceBetweenRows

    public void setRemoveEmptySpaceBetweenRows(java.lang.Boolean removeEmptySpaceBetweenRows)

  Parameters:
    `removeEmptySpaceBetweenRows` - The removeEmptySpaceBetweenRows to set.

### getRemoveEmptySpaceBetweenColumns

    public java.lang.Boolean getRemoveEmptySpaceBetweenColumns()

  Returns:
    Returns the removeEmptySpaceBetweenColumns.

### setRemoveEmptySpaceBetweenColumns

    public void setRemoveEmptySpaceBetweenColumns(java.lang.Boolean removeEmptySpaceBetweenColumns)

  Parameters:
    `removeEmptySpaceBetweenColumns` - The removeEmptySpaceBetweenColumns to set.

### getWhitePageBackground

    public java.lang.Boolean getWhitePageBackground()

  Returns:
    Returns the whitePageBackground.

### setWhitePageBackground

    public void setWhitePageBackground(java.lang.Boolean whitePageBackground)

  Parameters:
    `whitePageBackground` - The whitePageBackground to set.

### getObject

    public java.lang.Object getObject()

### setPropertyValues

    public void setPropertyValues(java.lang.Object object)

  Description copied from interface: `ExportParameters`
  This method checks the 'object' argument (which should be a compatible ExportParameters object) properties and copies their values into the caller object

### getIgnoreGraphics

    public java.lang.Boolean getIgnoreGraphics()

  Returns:
    Returns the ignoreGraphics.

### setIgnoreGraphics

    public void setIgnoreGraphics(java.lang.Boolean ignoreGraphics)

  Parameters:
    `ignoreGraphics` - The ignoreGraphics to set.

### getCollapseRowSpan

    public java.lang.Boolean getCollapseRowSpan()

  Returns:
    Returns the collapseRowSpan.

### setCollapseRowSpan

    public void setCollapseRowSpan(java.lang.Boolean collapseRowSpan)

  Parameters:
    `collapseRowSpan` - The collapseRowSpan to set.

### getIgnoreCellBorder

    public java.lang.Boolean getIgnoreCellBorder()

  Returns:
    Returns the ignoreCellBorder.

### setIgnoreCellBorder

    public void setIgnoreCellBorder(java.lang.Boolean ignoreCellBorder)

  Parameters:
    `ignoreCellBorder` - The ignoreCellBorder to set.

### getMaximumRowsPerSheet

    public java.lang.Integer getMaximumRowsPerSheet()

  Returns:
    Returns the maximumRowsPerSheet.

### setMaximumRowsPerSheet

    public void setMaximumRowsPerSheet(java.lang.Integer maximumRowsPerSheet)

  Parameters:
    `maximumRowsPerSheet` - The maximumRowsPerSheet to set.

### getFontSizeFixEnabled

    public java.lang.Boolean getFontSizeFixEnabled()

  Returns:
    Returns the fontSizeFixEnabled.

### setFontSizeFixEnabled

    public void setFontSizeFixEnabled(java.lang.Boolean fontSizeFixEnabled)

  Parameters:
    `fontSizeFixEnabled` - The fontSizeFixEnabled to set.

### getXlsFormatPatternsMap

    public java.util.Map getXlsFormatPatternsMap()

  Returns:
    Returns the xlsFormatPatternsMap.

### setXlsFormatPatternsMap

    public void setXlsFormatPatternsMap(java.util.Map xlsFormatPatternsMap)

  Parameters:
    `xlsFormatPatternsMap` - The xlsFormatPatternsMap to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.